Skip to main content
GET
/
api
/
v1
/
squads
/
{squadId}
Get squad details
curl --request GET \
  --url https://prod.featherhq.com/api/v1/squads/{squadId} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://prod.featherhq.com/api/v1/squads/{squadId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://prod.featherhq.com/api/v1/squads/{squadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "squad": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "entrypointAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "entrypointAgent": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>"
    },
    "archived": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "transferRules": [
      null
    ],
    "phoneNumbers": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "phoneNumber": "<string>"
      }
    ],
    "memberAgents": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      }
    ],
    "stats": {
      "totalCalls": 123,
      "totalTransfers": 123,
      "avgCallDuration": 123
    }
  }
}
{
"status": 400,
"message": "Bad request",
"code": "BAD_REQUEST",
"success": false
}
{
"status": 404,
"message": "Not found",
"code": "NOT_FOUND",
"success": false
}
{
"status": 500,
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"success": false
}

Authorizations

X-API-Key
string
header
required

Path Parameters

squadId
string<uuid>
required

Response

Squad retrieved successfully

squad
object
required